EDIT - bug #9649

Specimens sometimes have empty titleCache instead of class<UUID>
06/03/2021 01:48 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.25

Severity: normal Found in Version:

Description

E.g. in additiviy_ontology after running titleCache update for records 72 and 74

Related issues:

Related to EDIT - bug #9665: Filter out property change event for created and... Closed
Related to EDIT - task #9650: Update all titteCaches after upgrade of cache s... In Progress
Related to EDIT - bug #2449: Some or many names have an empty fullTitteCache ... In Progress
History

#1 - 06/09/2021 05:42 PM - Andreas Miuller

- Subject changed from Specimen sometimes have empty titleCache instead of class<UUID> to Specimens sometimes have empty titleCache instead
of class<UUID>

#2 - 06/11/2021 01:20 PM - Andreas Miiller
- Related to bug #9665: Filter out property change event for created and updated and cacheStrategy added

#3 - 06/11/2021 01:33 PM - Andreas Miiller
- Related to task #9650: Update all titlteCaches after upgrade of cache strategies and formatters added

#4 - 06/11/2021 01:35 PM - Andreas Miller

- Status changed from New to In Progress

Maybe fixed by #9665 . Need to check after release if this still happens.

#5 - 06/12/2021 11:53 AM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 30

Set to resolved in case #9665 fixed the issue.

#6 - 07/02/2021 08:33 PM - Andreas Miuller

- Related to bug #2449: Some or many names have an empty fullTitleCache though information is atomized added

#8 - 12/09/2021 12:17 AM - Andreas Miiller
- Status changed from Resolved to In Progress

- Target version changed from Release 5.25 to Release 5.45

There are still records in fdac, which is not supported anymore and did not run cache updates.

SELECT *
FROM SpecimenOrObservationBase sob
WHERE sob.titleCache = '' OR sob.titleCache IS NULL AND sob.protectedTitleCache = 1;

SELECT *

FROM SpecimenOrObservationBase_AUD sob
WHERE sob.id IN ( SELECT id

FROM SpecimenOrObservationBase sob
WHERE sob.titleCache = '' OR sob.titleCache IS NULL)

#9 - 12/09/2021 10:02 PM - Andreas Miiller
- Status changed from In Progress to Closed

- Target version changed from Release 5.45 to Release 5.25

- % Done changed from 30 to 100

This issue seems to be fixed with #9665
